<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "lis_result_filedata".
 *
 * @property int $ID
 * @property int $HisResultID
 * @property string $FileName
 * @property string $Filebase64
 */
class LisResultFiledata extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'lis_result_filedata';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['HisResultID', 'FileName', 'Filebase64'], 'required'],
            [['HisResultID'], 'integer'],
            [['Filebase64'], 'string'],
            [['FileName'], 'string', 'max' => 250],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'HisResultID' => 'His Result ID',
            'FileName' => 'File Name',
            'Filebase64' => 'Filebase64',
        ];
    }
}
